/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table awardsplayers as 
select * from "raw".awardsplayers;
alter table temp.awardsplayers drop column "tie";

update awardsplayers
set awardid = 'Silver Slugger'
where awardid = 'SIlver Slugger';

update temp.awardsplayers
set notes = nullif(notes, '');

CREATE TABLE IF NOT EXISTS main."awardsplayers" (
	"player"	TEXT,
	"award"	TEXT,
	"year"	NUMERIC,
	"league"	TEXT,
	"notes"	TEXT,
	PRIMARY KEY("award","year","league","notes","player"),
	foreign key("player") references "people"("ID"),
	foreign key("award","year","league") references "yearlyawards"("award","year","league")
);

insert into main.awardsplayers select distinct * from temp.awardsplayers;
commit;
