/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table awardsshareplayers as
select * from "raw".awardsshareplayers;

update temp.awardsshareplayers
set awardid = 'Cy Young Award'
where awardid = 'Cy Young';

update temp.awardsshareplayers
set awardid = 'Most Valuable Player'
where awardid = 'MVP';

CREATE TABLE IF NOT EXISTS main."awardsshareplayers" (
	"award"	TEXT,
	"year"	NUMERIC,
	"league"	TEXT,
	"player"	TEXT,
	"pointsWon"	NUMERIC	check (pointsWon <= pointsMax),
	"pointsMax"	NUMERIC,
	"votesFirst"	NUMERIC,
	PRIMARY KEY("award","year","player","league"),
	foreign key("player") references "people"("ID"),
	foreign key("award","year","league") references "yearlyawards"("award","year","league")
);

insert into main.awardsshareplayers select distinct * from temp."awardsshareplayers";
commit;
