/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table fieldingof as
select * from "raw".fieldingof;

delete from fieldingof
where playerid = 'gilliba01' and yearid = 1875;

delete from fieldingof
where playerid = 'hallji01' and yearid = 1875;

delete from fieldingof
where playerid = 'mckened01' and yearid = 1877;

delete from fieldingof
where playerid = 'jonesbi01' and yearid = 1882;

delete from fieldingof
where playerid = 'morgabi01' and yearid = 1882;

update fieldingof
set yearid = 1884
where playerid = 'loughbi01' and yearid = 1883;

update fieldingof
set stint = 1
where playerid = 'donneji01' and yearid = 1884;

update fieldingof
set yearid = 1883
where playerid = 'lough01' and yearid = 1884;

CREATE TABLE IF NOT EXISTS "fieldingof" (
	"player"	TEXT,
	"year"	NUMERIC,
	"stint"	NUMERIC,
	"Glf"	NUMERIC,
	"Gcf"	NUMERIC,
	"Grf"	NUMERIC,
	PRIMARY KEY("player","year","stint"),
	foreign key("year","player","stint") references "playerstints"("year","player","stint")
);

insert into main.fieldingof select distinct * from temp.fieldingof;
commit;
