/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table homegames as
select * from "raw".homegames;

alter table "homegames" drop column "leaguekey";

update homegames
set "teamkey" = 'WS9'
where "teamkey" = 'WAS' and "yearkey" between 1891 and 1899;

update homegames
set "teamkey" = 'PHP'
where "teamkey" = 'PH4' and "yearkey" between 1890 and 1891;

CREATE TABLE IF NOT EXISTS main."homegames" (
	"year"	NUMERIC,
	"team"	TEXT,
	"park"	TEXT,
	"first"	TEXT	check(unixepoch("first") <= unixepoch("last")),
	"last"	TEXT,
	"games"	NUMERIC,
	"openings"	NUMERIC,
	"attendance"	NUMERIC,
	PRIMARY KEY("year","team","park"),
	foreign key("park") references "parks"("ID"),
	foreign key("year","team") references "teamseasons"("year","team")
);

insert into main.homegames select distinct * from temp."homegames";
commit;
