/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table managershalf as
select * from "raw".managershalf;

alter table managershalf drop column "lgID";
alter table managershalf drop column "rank";

update managershalf
set teamid = 'WS9'
where yearid = 1892 and teamid = 'WAS';

CREATE TABLE IF NOT EXISTS main."managershalf" (
	"ID"	TEXT,
	"year"	NUMERIC,
	"team"	TEXT,
	"inseason"	NUMERIC,
	"half"	NUMERIC,
	"G"	NUMERIC,
	"W"	NUMERIC,
	"L"	NUMERIC,
	PRIMARY KEY("ID","year","team","inseason","half"),
	foreign key("ID","year","team","inseason") references "managers"("ID","year","team","inseason")
);

insert into main.managershalf select distinct * from temp.managershalf;
commit;
