/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';
create temp table if not exists teams (
	"ID"	text,
	"franchise"	text
);

insert into teams
select distinct teamid, franchid from "raw"."teams";

update teams
set ID = 'WS9'
where ID = 'WAS' and franchise = 'WAS';

update teams
set ID = 'PHP'
where ID = 'PH4' and franchise = 'PHQ';

create table if not exists main.teams (
	"ID"	text,
	"franchise"	text,
	primary key("ID"),
	foreign key("franchise") references "franchises"("ID")
);

insert into main.teams select distinct * from temp."teams";
commit;
